<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EditPnrRS StructType
 * @package Dg
 * @subpackage Structs
 */
class DgEditPnrRS extends AbstractStructBase
{
    /**
     * The AirReservation
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgAirReservation
     */
    public $AirReservation;
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgErrorsType
     */
    public $Errors;
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgSuccessType
     */
    public $Success;
    /**
     * The Warnings
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgWarningsType
     */
    public $Warnings;
    /**
     * Constructor method for EditPnrRS
     * @uses DgEditPnrRS::setAirReservation()
     * @uses DgEditPnrRS::setErrors()
     * @uses DgEditPnrRS::setSuccess()
     * @uses DgEditPnrRS::setWarnings()
     * @param \dgsoft\StructType\DgAirReservation $airReservation
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @param \dgsoft\StructType\DgSuccessType $success
     * @param \dgsoft\StructType\DgWarningsType $warnings
     */
    public function __construct(\dgsoft\StructType\DgAirReservation $airReservation = null, \dgsoft\StructType\DgErrorsType $errors = null, \dgsoft\StructType\DgSuccessType $success = null, \dgsoft\StructType\DgWarningsType $warnings = null)
    {
        $this
            ->setAirReservation($airReservation)
            ->setErrors($errors)
            ->setSuccess($success)
            ->setWarnings($warnings);
    }
    /**
     * Get AirReservation value
     * @return \dgsoft\StructType\DgAirReservation|null
     */
    public function getAirReservation()
    {
        return $this->AirReservation;
    }
    /**
     * Set AirReservation value
     * @param \dgsoft\StructType\DgAirReservation $airReservation
     * @return \dgsoft\StructType\DgEditPnrRS
     */
    public function setAirReservation(\dgsoft\StructType\DgAirReservation $airReservation = null)
    {
        $this->AirReservation = $airReservation;
        return $this;
    }
    /**
     * Get Errors value
     * @return \dgsoft\StructType\DgErrorsType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @return \dgsoft\StructType\DgEditPnrRS
     */
    public function setErrors(\dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get Success value
     * @return \dgsoft\StructType\DgSuccessType|null
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param \dgsoft\StructType\DgSuccessType $success
     * @return \dgsoft\StructType\DgEditPnrRS
     */
    public function setSuccess(\dgsoft\StructType\DgSuccessType $success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Get Warnings value
     * @return \dgsoft\StructType\DgWarningsType|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @return \dgsoft\StructType\DgEditPnrRS
     */
    public function setWarnings(\dgsoft\StructType\DgWarningsType $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgEditPnrRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
